Skip to Content

POST Invoices

Use this endpoint to create a new invoice within a branch.

User level: Advanced

Endpoint

POST /v1/{scopeId}/invoices
PropertyValue
MethodPOST
Scope IDBranch UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:invoices:write
Content-Typeapplication/json
Request bodyJSON object

Allowed create fields

Field
invoice_number
status
account_id
invoice_date
due_date
comment

Example request

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/invoices" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "invoice_number": "INV-2025-014", "status": "draft", "invoice_date": "2025-01-20", "due_date": "2025-02-19" }'

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440101", "invoice_number": "INV-2025-014", "status": "draft", "invoice_date": "2025-01-20", "due_date": "2025-02-19" }, "version": "v1" }
Last updated on